org.apache.poi.hwmf.record

## Enum HwmfRecordType

- java.lang.Object
- - java.lang.Enum<HwmfRecordType>
  - - org.apache.poi.hwmf.record.HwmfRecordType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HwmfRecordType>

      public enum HwmfRecordType
      extends java.lang.Enum<HwmfRecordType>

  Available record types for WMF
  See Also:
    Inside the Windows Meta File Format

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `animatePalette`
    `arc`
    `bitBlt`
    `chord`
    `createBrushIndirect`
    `createFontIndirect`
    `createPalette`
    `createPatternBrush`
    `createPenIndirect`
    `createRegion`
    `deleteObject`
    `dibBitBlt`
    `dibCreatePatternBrush`
    `dibStretchBlt`
    `ellipse`
    `eof`
    `escape`
    `excludeClipRect`
    `extFloodFill`
    `extTextOut`
    `fillRegion`
    `floodFill`
    `frameRegion`
    `intersectClipRect`
    `invertRegion`
    `lineTo`
    `moveTo`
    `offsetClipRgn`
    `offsetViewportOrg`
    `offsetWindowOrg`
    `paintRegion`
    `patBlt`
    `pie`
    `polygon`
    `polyline`
    `polyPolygon`
    `realizePalette`
    `rectangle`
    `resizePalette`
    `restoreDc`
    `roundRect`
    `saveDc`
    `scaleViewportExt`
    `scaleWindowExt`
    `selectClipRegion`
    `selectObject`
    `selectPalette`
    `setBkColor`
    `setBkMode`
    `setDibToDev`
    `setLayout`
    `setMapMode`
    `setMapperFlags`
    `setPalEntries`
    `setPixel`
    `setPolyFillMode`
    `setRelabs`
    `setRop2`
    `setStretchBltMode`
    `setTextAlign`
    `setTextCharExtra`
    `setTextColor`
    `setTextJustification`
    `setViewportExt`
    `setViewportOrg`
    `setWindowExt`
    `setWindowOrg`
    `stretchBlt`
    `stretchDib`
    `textOut`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.function.Supplier<? extends HwmfRecord>` | `constructor`
    `int` | `id`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HwmfRecordType` | `getById(int id)`
    `static HwmfRecordType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HwmfRecordType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### eof

          public static final HwmfRecordType eof

    - #### animatePalette

          public static final HwmfRecordType animatePalette

    - #### arc

          public static final HwmfRecordType arc

    - #### bitBlt

          public static final HwmfRecordType bitBlt

    - #### chord

          public static final HwmfRecordType chord

    - #### createBrushIndirect

          public static final HwmfRecordType createBrushIndirect

    - #### createFontIndirect

          public static final HwmfRecordType createFontIndirect

    - #### createPalette

          public static final HwmfRecordType createPalette

    - #### createPatternBrush

          public static final HwmfRecordType createPatternBrush

    - #### createPenIndirect

          public static final HwmfRecordType createPenIndirect

    - #### createRegion

          public static final HwmfRecordType createRegion

    - #### deleteObject

          public static final HwmfRecordType deleteObject

    - #### dibBitBlt

          public static final HwmfRecordType dibBitBlt

    - #### dibCreatePatternBrush

          public static final HwmfRecordType dibCreatePatternBrush

    - #### dibStretchBlt

          public static final HwmfRecordType dibStretchBlt

    - #### ellipse

          public static final HwmfRecordType ellipse

    - #### escape

          public static final HwmfRecordType escape

    - #### excludeClipRect

          public static final HwmfRecordType excludeClipRect

    - #### extFloodFill

          public static final HwmfRecordType extFloodFill

    - #### extTextOut

          public static final HwmfRecordType extTextOut

    - #### fillRegion

          public static final HwmfRecordType fillRegion

    - #### floodFill

          public static final HwmfRecordType floodFill

    - #### frameRegion

          public static final HwmfRecordType frameRegion

    - #### intersectClipRect

          public static final HwmfRecordType intersectClipRect

    - #### invertRegion

          public static final HwmfRecordType invertRegion

    - #### lineTo

          public static final HwmfRecordType lineTo

    - #### moveTo

          public static final HwmfRecordType moveTo

    - #### offsetClipRgn

          public static final HwmfRecordType offsetClipRgn

    - #### offsetViewportOrg

          public static final HwmfRecordType offsetViewportOrg

    - #### offsetWindowOrg

          public static final HwmfRecordType offsetWindowOrg

    - #### paintRegion

          public static final HwmfRecordType paintRegion

    - #### patBlt

          public static final HwmfRecordType patBlt

    - #### pie

          public static final HwmfRecordType pie

    - #### polygon

          public static final HwmfRecordType polygon

    - #### polyline

          public static final HwmfRecordType polyline

    - #### polyPolygon

          public static final HwmfRecordType polyPolygon

    - #### realizePalette

          public static final HwmfRecordType realizePalette

    - #### rectangle

          public static final HwmfRecordType rectangle

    - #### resizePalette

          public static final HwmfRecordType resizePalette

    - #### restoreDc

          public static final HwmfRecordType restoreDc

    - #### roundRect

          public static final HwmfRecordType roundRect

    - #### saveDc

          public static final HwmfRecordType saveDc

    - #### scaleViewportExt

          public static final HwmfRecordType scaleViewportExt

    - #### scaleWindowExt

          public static final HwmfRecordType scaleWindowExt

    - #### selectClipRegion

          public static final HwmfRecordType selectClipRegion

    - #### selectObject

          public static final HwmfRecordType selectObject

    - #### selectPalette

          public static final HwmfRecordType selectPalette

    - #### setBkColor

          public static final HwmfRecordType setBkColor

    - #### setBkMode

          public static final HwmfRecordType setBkMode

    - #### setDibToDev

          public static final HwmfRecordType setDibToDev

    - #### setLayout

          public static final HwmfRecordType setLayout

    - #### setMapMode

          public static final HwmfRecordType setMapMode

    - #### setMapperFlags

          public static final HwmfRecordType setMapperFlags

    - #### setPalEntries

          public static final HwmfRecordType setPalEntries

    - #### setPixel

          public static final HwmfRecordType setPixel

    - #### setPolyFillMode

          public static final HwmfRecordType setPolyFillMode

    - #### setRelabs

          public static final HwmfRecordType setRelabs

    - #### setRop2

          public static final HwmfRecordType setRop2

    - #### setStretchBltMode

          public static final HwmfRecordType setStretchBltMode

    - #### setTextAlign

          public static final HwmfRecordType setTextAlign

    - #### setTextCharExtra

          public static final HwmfRecordType setTextCharExtra

    - #### setTextColor

          public static final HwmfRecordType setTextColor

    - #### setTextJustification

          public static final HwmfRecordType setTextJustification

    - #### setViewportExt

          public static final HwmfRecordType setViewportExt

    - #### setViewportOrg

          public static final HwmfRecordType setViewportOrg

    - #### setWindowExt

          public static final HwmfRecordType setWindowExt

    - #### setWindowOrg

          public static final HwmfRecordType setWindowOrg

    - #### stretchBlt

          public static final HwmfRecordType stretchBlt

    - #### stretchDib

          public static final HwmfRecordType stretchDib

    - #### textOut

          public static final HwmfRecordType textOut

  - ### Field Detail

    - #### id

          public final int id

    - #### constructor

          public final java.util.function.Supplier<? extends HwmfRecord> constructor

  - ### Method Detail

    - #### values

          public static HwmfRecordType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HwmfRecordType c : HwmfRecordType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HwmfRecordType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getById

          public static HwmfRecordType getById(int id)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.